Loading...
Searching...
No Matches
Dune::GlobalGeometryTypeIndex Class Reference

Compute indices for geometry types, taking the dimension into account. More...

`#include <dune/geometry/typeindex.hh>`

## Static Public Member Functions

static constexpr std::size_t | offset (std::size_t dim)
| Compute the starting index for a given dimension including irregular geometry types.
static constexpr std::size_t | size (std::size_t maxdim)
| Compute total number of geometry types up to and including the given dimension.
static constexpr std::size_t | index (const GeometryType &gt)
| Compute the index for the given geometry type over all dimensions.

## Detailed Description

Compute indices for geometry types, taking the dimension into account.

## Member Function Documentation

## index()

constexpr std::size_t Dune::GlobalGeometryTypeIndex::index | ( | const GeometryType & | gt | ) |

inline static constexpr

Compute the index for the given geometry type over all dimensions.

Geometry types from different dimensions will get different indices, and lower dimensions will always have lower indices than higher dimensions. If that is not what you want, maybe you should look at LocalGeometryTypeIndex.

## offset()

constexpr std::size_t Dune::GlobalGeometryTypeIndex::offset | ( | std::size_t | dim | ) |

inline static constexpr

Compute the starting index for a given dimension including irregular geometry types.

## size()

constexpr std::size_t Dune::GlobalGeometryTypeIndex::size | ( | std::size_t | maxdim | ) |

inline static constexpr

Compute total number of geometry types up to and including the given dimension.

This includes irregular geometry types such as "None".

The documentation for this class was generated from the following file:

- typeindex.hh